Closed Bug 10540 Opened 21 years ago Closed 20 years ago

[PP] Execute: Execute fails on Linux with error -2142077440

Categories

(Core Graveyard :: Installer: XPInstall Engine, defect, P1)

Other
Linux
defect

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: jimmykenlee, Assigned: samir_bugzilla)

References

Details

Build: 7/22/99 SeaMonkey build

1. Use http://jimbob/trigger2.html
2. Trigger http://jimbob/jars/a_execute_unix.jar
      Install.StartInstall("Acceptance: a_execute_unix", "acceptance", vi, 0);
      err = Install.Execute("vi");
      Install.LogComment("Execute returns: " + err);

RESULT:
Progress dialog appears, and dismisses quite quickly.  The console displays:
sh: /tmp/xpinstall: Permission denied

The Install.log shows:
---------------------------------------------------------------------------
http://jimbob/jars/a_execute_unix.jar     --     07/26/1999 15:10:07
---------------------------------------------------------------------------
Acceptance: a_execute_unix

** Execute returns: 0
Item [1/1] Executing: /tmp/xpinstall

Install **FAILED** with error -2142077440

Install **FAILED** with error -2142077440
Finished Installation  07/26/1999 15:10:07

EXPECTED RESULT:
vi is launched.  The Install.log reflects no errors.  No errors from the
console.
Assignee: dveditz → sgehani
Priority: P3 → P1
Target Milestone: M9
We shouldn't be letting such ugly error codes slip through, either. We need to
trap XPCOM failures and convert to XPInstall error codes, even if only the
"UKNOWN" one.

This one may have to wait for us to fix libjar to preserve rwx modes.
Not on critical path of install process demo. Moving to M10.
Status: NEW → ASSIGNED
Depends on: 9148
Target Milestone: M10 → M12
This bug depends on 9148 being fixed. Essentially libjar needs to read and
restore file permissions associated with every file extracted. Pegging the
target milestone (M12) to trail one behind 9148's target milestone (M11).
We are now restoring permissions on Unix and Windows and handle the quirks of
the Unix "zip" utility (InfoZIP) as well as WinZip and other zip utilities. Fix
in hand: contingent upon review this will be checked in once the tree opens post
verification builds.
Fix checked in.
Bulk move of XPInstall (component to be deleted) bugs to Installer: XPInstall
Engine
Status: RESOLVED → REOPENED
Build: 2000-01-03-08-M13(LINUX)

Execute works, but I'm still getting the Install **FAILED** with error from the
Install.log.  The error number is different originally reported.

-------------------------------------------------------------------------------
http://jimbob/jars/a_execute_unix.jar  --  01/04/2000 6:19:56
-------------------------------------------------------------------------------

   Acceptance: a_execute_unix
   --------------------------
   ** Execute test_exe returns = 0

   Install **FAILED** with error -2142098176

   Install **FAILED** with error -2142098176
   Finished Installation  01/04/2000 16:19:56

Build M11 or 11/15/99 also returns the same error.  The Install.log shows:

---------------------------------------------------------------------------
http://jimbob/jars/a_execute_unix.jar     --     01/04/2000 6:15:38
---------------------------------------------------------------------------

   Acceptance: a_execute_unix
   --------------------------

   ** Execute test_exe returns = 0

   Install **FAILED** with error -2142098176

   Install **FAILED** with error -2142098176
   Finished Installation  01/04/2000 16:16:37

Note that the test case a_execute_unix.jar has been changed, but nonetheless
returns a similar problem.

////////////////////////////////////////////////////////////////////////////////
// a_execute_unix.js
//
// Acceptance test
// 	• Checks the 1 parameter form of Execute
// 	• An executable, test_exe, will display seven times the following text:
//		*** Testing the Install.Execute() API ***
//
// ~ XPInstall QA
//   January 4, 2000
//
////////////////////////////////////////////////////////////////////////////////

var vi = "1.0.1.12";

startInstall("Acceptance: a_execute_unix", "acceptance", vi, 0);
err = execute("test_exe");
logComment("Execute test_exe returns = " + err);

if (0 == getLastError())
	finalizeInstall();
else
	abortInstall();
Status: REOPENED → ASSIGNED
Target Milestone: M12 → M14
On vacation through M13: moving to M14 so we review later.
Resolution: FIXED → ---
Status: ASSIGNED → RESOLVED
Closed: 20 years ago
Resolution: --- → FIXED
On looking at the source to the executable in a_execute_unix.jar (test_exe.c)
your app doesn't return 0 in main(). Thus, execute returns an error. If your app
returns 0 (see test case "Linux Execute" at http://puma/x) then the install
completes successfully. Marking fixed.
Build 2000-01-21-08-M13 (LINUX)

Our tests no longer return errors with the apps returning 0.  Marking Verified.
Status: RESOLVED → VERIFIED
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.